/* PPM-In : ppmin.c */
#ifndef EMULATOR

#define TIM5_prescaler 35    // 72MHz /(35+1) = 2MHz = 0.5uSecond
#define TIM5_period 65535  // max value of u16
#define MIN_PPMin_Sync 6600   // 3300uSecond=  0.5uSecond(2MHz)*6600times,  TIM5_prescaler=0.5uSecond
#define MAX_PPMin_Channels 20   //  record ppm-in singal width, [0...ppmin_num_channels-1] for each channels width, [ppmin_num_channels] for sync-signal width
extern volatile u8 ppmIN;     //  ppm-in protocol status , 0: not use ppm-in protocol, 1: use ppm-in protocol , for mixer.c to check protocol status
extern volatile u8 ppmSync;      //  the ppmSync for mixer.c,  0:ppm-Not-Sync , 1:ppm-Got-Sync
extern volatile u8 ppmin_num_channels;     //  the ppmin_num_channels for mixer.c
extern volatile s16 ppmChannels[MAX_PPMin_Channels];     // MAX_PPMin_Channels = 20
void ppmin_TIM5_Init();
void ppmin_Init();
void exti15_10_isr(void);
void ppmin_Stop();
void ppmin_Start();
void ppmin_TIM5_Stop();
void ppmin_TIM5_Start();
void ppmin_Stop_conflict();

#endif    // #ifndef EMULATOR
